/** 
 *   Thermometer logger novus
 *
 *   (c) Copyright 2005 Federico Bareilles <fede@iar.unlp.edu.ar>,
 *   Instituto Argentino de Radio Astronomia (IAR).
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *
 **/

#ifndef __LOGER_NOVUS_H
#define __LOGER_NOVUS_H

#include <modbus.h>

#define LOGGER_NOVUS_DEVICE "/dev/logger_nv"

#define THERMOCOUPLE_J  0x01
#define THERMOCOUPLE_K  0x02
#define THERMOCOUPLE_T  0x03
#define THERMOCOUPLE_E  0x04
#define THERMOCOUPLE_N  0x05
#define THERMOCOUPLE_R  0x06
#define THERMOCOUPLE_S  0x07
#define THERMOCOUPLE_B  0x08
#define PT100           0x09


struct logger_input {
	int channel;
	int type;
	int active;
	double val;
};

int logger_init(char *mb_device, Mbm_trame *tr);
int logger_close(int dev);
int logger_adq(Mbm_trame *tr, struct logger_input *tn);

#endif /* __LOGER_NOVUS_H */
